(function e(t,n,r){function s(o,u){if(!n[o]){if(!t[o]){var a=typeof require=="function"&&require;if(!u&&a)return a(o,!0);if(i)return i(o,!0);var f=new Error("Cannot find module '"+o+"'");throw f.code="MODULE_NOT_FOUND",f}var l=n[o]={exports:{}};t[o][0].call(l.exports,function(e){var n=t[o][1][e];return s(n?n:e)},l,l.exports,e,t,n,r)}return n[o].exports}var i=typeof require=="function"&&require;for(var o=0;o<r.length;o++)s(r[o]);return s})({1:[function(require,module,exports){(function(global){window.app=global.app={};window.React=global.React=require('react');global.pageData=require('../react/components/Utils/pageData.js');global.Promise=require('bluebird');global._=require('lodash');global.Fluxxor=require('fluxxor');global.FluxMixin=Fluxxor.FluxMixin(React);global.StoreWatchMixin=Fluxxor.StoreWatchMixin;global.ToastMixin=require('../react/mixins/ToastMixin.js');global.GeneralEventsMixin=require('../react/mixins/GeneralEventsMixin.js');global.Bootstrap=require('react-bootstrap');global.tools=require('../lib/tools.js');_.extend(tools,require('../lib/ap-tools.js'));tools.sortby=require('sortby.js');customLog=require('custom-log');global.log=customLog({info:'INFO: ',warning:'WARNING: ',error:'ERROR: '});log.disable('info');global._t=require('./translator.js');require('../react/apps');}).call(this,typeof global!=="undefined"?global:typeof self!=="undefined"?self:typeof window!=="undefined"?window:{})},{"../lib/ap-tools.js":3,"../lib/tools.js":5,"../react/apps":18,"../react/components/Utils/pageData.js":85,"../react/mixins/GeneralEventsMixin.js":92,"../react/mixins/ToastMixin.js":93,"./translator.js":2,"bluebird":"bluebird","custom-log":103,"fluxxor":"fluxxor","lodash":"lodash","react":"react","react-bootstrap":"react-bootstrap","sortby.js":104}],2:[function(require,module,exports){"use strict"
var i18n=require('i18next-client');var availableLanguages={nl:require('../locale/nl.json')};var selectedLanguage=window.jsContext.LANGUAGE_CODE||'nl';var getI18n=function(){i18n.init({customLoad:function(lng,ns,options,loadComplete){loadComplete(null,availableLanguages[selectedLanguage]);}});return i18n.t;};var translatorFunction=(availableLanguages.hasOwnProperty(selectedLanguage))?getI18n():function(text){return text;};module.exports=translatorFunction;},{"../locale/nl.json":6,"i18next-client":"i18next-client"}],3:[function(require,module,exports){"use strict"
var nop=function(){return'';};var REGEXP_SPECIAL_CHARS=['?','\\','[',']','(',')','*','+','.','/','|','^','$','<','>','-','&'];var regEscape=function(string){var string=tools.forceString(string);if(string==='')
return string;var escaped='',index,ch;for(index in string){ch=string[index];if(~REGEXP_SPECIAL_CHARS.indexOf(ch))
escaped+='\\';escaped+=ch;}
return escaped;};var objectFilter=function(items,query,props){if(!query||!items)
return items
var filtered=[];if(!props){props=[];_.forEach(items[0],function(value,key){props.push(key);});}
_.forEach(items,function(item){var start=new RegExp(regEscape(query),'i');_.forEach(item,function(value,key){_.forEach(props,function(prop){if(item[prop]===value)
if(start.test(value))
if(filtered.indexOf(item)<0)
filtered.push(item);});});});return filtered;};var allObjectKeys=function(object){var keys=[];if(object&&(object.length>0))
_.forEach(object[0],function(value,key){if(Object.hasOwnProperty(key))
keys.push(key);});return keys;};var toggleListItem=function(list,item){return(list.indexOf(item)>-1)?_.without(list,item):list.concat(item);};var moment=require('moment');var isIso8601=function(string){if(string)
return(string.match(/^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}$/)||string.match(/^\d{4}-\d{2}-\d{2}$/));};var setMomentLang=function(lang){moment=require('./moment-translations.js')(lang);}
var dateFilter=function(string,format,locale){format=format||'D MMMM YYYY - HH:mm';if(isIso8601(string)&&moment(string).isValid())
return moment(string).format(format);return string;};var translate=function(query,replacement){return(window.localeTranslations)?(window.localeTranslations[query]||replacement||query):replacement||query;};translate.ui=function(query,replacement){return(window.localeTranslationsUI)?(window.localeTranslationsUI[query]||replacement||query):replacement||query;};var numberTail=function(string){var match=string.match(/([0-9]|\.)+$/);return(match)?match[0]:'';};var removePrefixFromString=function(s,prefix,separator){separator=typeof separator!='undefined'?separator:'';if(!prefix||prefix==null){return s;}
var startsWithPrefixRegexp=new RegExp('^'+regEscape(prefix+separator));var shortString=s.replace(startsWithPrefixRegexp,'');return shortString;};var toggleUnique=function(array,item){var i,length=array.length;for(i=0;i<length;i++)
if(array[i]===item){array.splice(i,1);return array;}
array.push(item);return array;};var dateToIso8601=function(date){if(isIso8601(date))
return date;else{date=moment(moment(date,pageData.dateFormat).toDate()).format('YYYY-MM-DD');if(isIso8601(date))
return date
else{log.error('Error converting date, could not convert to iso-8601 !');return null;}}};var validateDate=function(dateString){return pageData.dateFormatRegExp.test(dateString);};var isFutureDate=function(dateString){if(dateString&&validateDate(dateString)){var now=Date.now(),given=Date.parse(new Date(dateToIso8601(dateString)));return(now<given);}};module.exports={nop:nop,objectFilter:objectFilter,allObjectKeys:allObjectKeys,toggleListItem:toggleListItem,setMomentLang:setMomentLang,moment:moment,isIso8601:isIso8601,dateToIso8601:dateToIso8601,validateDate:validateDate,isFutureDate:isFutureDate,dateFilter:dateFilter,translate:translate,numberTail:numberTail,removePrefixFromString:removePrefixFromString,toggleUnique:toggleUnique};},{"./moment-translations.js":4,"moment":"moment"}],4:[function(require,module,exports){"use strict"
var nl=(function(moment,lang){var monthsShortWithDots='jan._feb._mrt._apr._mei_jun._jul._aug._sep._okt._nov._dec.'.split('_'),monthsShortWithoutDots='jan_feb_mrt_apr_mei_jun_jul_aug_sep_okt_nov_dec'.split('_');moment.locale('nl',{months:'januari_februari_maart_april_mei_juni_juli_augustus_september_oktober_november_december'.split('_'),monthsShort:function(m,format){if(/-MMM-/.test(format)){return monthsShortWithoutDots[m.month()];}else{return monthsShortWithDots[m.month()];}},weekdays:'zondag_maandag_dinsdag_woensdag_donderdag_vrijdag_zaterdag'.split('_'),weekdaysShort:'zo._ma._di._wo._do._vr._za.'.split('_'),weekdaysMin:'Zo_Ma_Di_Wo_Do_Vr_Za'.split('_'),longDateFormat:{LT:'HH:mm',LTS:'LT:ss',L:'DD-MM-YYYY',LL:'D MMMM YYYY',LLL:'D MMMM YYYY LT',LLLL:'dddd D MMMM YYYY LT'},calendar:{sameDay:'[vandaag om] LT',nextDay:'[morgen om] LT',nextWeek:'dddd [om] LT',lastDay:'[gisteren om] LT',lastWeek:'[afgelopen] dddd [om] LT',sameElse:'L'},relativeTime:{future:'over %s',past:'%s geleden',s:'een paar seconden',m:'één minuut',mm:'%d minuten',h:'één uur',hh:'%d uur',d:'één dag',dd:'%d dagen',M:'één maand',MM:'%d maanden',y:'één jaar',yy:'%d jaar'},ordinalParse:/\d{1,2}(ste|de)/,ordinal:function(number){return number+((number===1||number===8||number>=20)?'ste':'de');},week:{dow:1,doy:4}});return moment;})();module.exports=function(moment,lang){switch(lang){case'nl':return nl(moment,lang);};return moment;};},{}],5:[function(require,module,exports){(function(){"use strict";var LITERALS,TYPES,Tools,Types,breakIfEqual,createForce,instanceOf,testValues,typeOf,_,__slice=[].slice,__hasProp={}.hasOwnProperty,__extends=function(child,parent){for(var key in parent){if(__hasProp.call(parent,key))child[key]=parent[key];}function ctor(){this.constructor=child;}ctor.prototype=parent.prototype;child.prototype=new ctor();child.__super__=parent.prototype;return child;};instanceOf=function(type,value){return value instanceof type;};typeOf=function(value,type){if(type==null){type='object';}
return typeof value===type;};LITERALS={'Boolean':false,'String':'','Object':{},'Array':[],'Function':function(){},'Number':(function(){var number;number=new Number;number["void"]=true;return number;})()};TYPES={'Undefined':function(value){return value===void 0;},'Null':function(value){return value===null;},'Function':function(value){return typeOf(value,'function');},'Boolean':function(value){return typeOf(value,'boolean');},'String':function(value){return typeOf(value,'string');},'Array':function(value){return typeOf(value)&&instanceOf(Array,value);},'RegExp':function(value){return typeOf(value)&&instanceOf(RegExp,value);},'Date':function(value){return typeOf(value)&&instanceOf(Date,value);},'Number':function(value){return typeOf(value,'number')&&(value===value)||(typeOf(value)&&instanceOf(Number,value));},'Object':function(value){return typeOf(value)&&(value!==null)&&!instanceOf(Boolean,value)&&!instanceOf(Number,value)&&!instanceOf(Array,value)&&!instanceOf(RegExp,value)&&!instanceOf(Date,value);},'NaN':function(value){return typeOf(value,'number')&&(value!==value);},'Defined':function(value){return value!==void 0;}};TYPES.StringOrNumber=function(value){return TYPES.String(value)||TYPES.Number(value);};Types=_={parseIntBase:10};createForce=function(type){var convertType;convertType=function(value){switch(type){case'Number':if((_.isNumber(value=parseInt(value,_.parseIntBase)))&&!value["void"]){return value;}
break;case'String':if(_.isStringOrNumber(value)){return value+'';}
break;default:if(Types['is'+type](value)){return value;}}};return function(value,replacement){if((value!=null)&&void 0!==(value=convertType(value))){return value;}
if((replacement!=null)&&void 0!==(replacement=convertType(replacement))){return replacement;}
return LITERALS[type];};};testValues=function(predicate,breakState,values){var value,_i,_len;if(values==null){values=[];}
if(values.length<1){return predicate===TYPES.Undefined;}
for(_i=0,_len=values.length;_i<_len;_i++){value=values[_i];if(predicate(value)===breakState){return breakState;}}
return!breakState;};breakIfEqual=true;(function(){var name,predicate,_results;_results=[];for(name in TYPES){predicate=TYPES[name];_results.push((function(name,predicate){Types['is'+name]=predicate;Types['not'+name]=function(value){return!predicate(value);};Types['has'+name]=function(){return testValues(predicate,breakIfEqual,arguments);};Types['all'+name]=function(){return testValues(predicate,!breakIfEqual,arguments);};if(name in LITERALS){return Types['force'+name]=createForce(name);}})(name,predicate));}
return _results;})();Types.intoArray=function(){var args;args=1<=arguments.length?__slice.call(arguments,0):[];if(args.length<2){if(_.isString(args[0])){args=args.join('').replace(/^\s+|\s+$/g,'').replace(/\s+/g,' ').split(' ');}else if(_.isArray(args[0])){args=args[0];}}
return args;};Types["typeof"]=function(value){var name,predicate;for(name in TYPES){predicate=TYPES[name];if(predicate(value)===true){return name.toLowerCase();}}};Tools=(function(_super){var eachArray,eachObject,extend;__extends(Tools,_super);function Tools(){return Tools.__super__.constructor.apply(this,arguments);}
Tools.Types=_;eachArray=function(array,callback,find){var index,length,result;index=-1;length=array.length;if(find){while(++index<length){result=callback(array[index],index);if(result===find){return true;}}}else{while(++index<length){callback(array[index],index);}}
return false;};eachObject=function(object,callback,find){var key,result,value;if(find){for(key in object){value=object[key];result=callback(value,key);if(result===find){return true;}}}else{for(key in object){value=object[key];callback(value,key);}}
return false;};Tools.each=function(object,callback,find){if(_.isArray(object)){return eachArray(object,callback,find);}
return eachObject(object,callback,find);};extend=function(target,source,append){var key,value;if(target==null){target={};}
for(key in source){value=source[key];if(_.isObject(value)){extend(target[key],value,append);}else{}
if(!(append&&target.hasOwnProperty(key))){target[key]=value;}}
return target;};Tools.extend=function(target,source){return extend(_.forceObject(target),_.forceObject(source));};Tools.append=function(target,source){return extend(_.forceObject(target),_.forceObject(source),true);};Tools.insertSort=function(){var array,current,index,length,prev,_i;array=_.intoArray.apply(this,arguments);if(array.length>1){length=array.length-1;for(index=_i=1;1<=length?_i<=length:_i>=length;index=1<=length?++_i:--_i){current=array[index];prev=index-1;while((prev>=0)&&(array[prev]>current)){array[prev+1]=array[prev];--prev;}
array[+prev+1]=current;}}
return array;};return Tools;})(_);module.exports=Tools;}).call(this);},{}],6:[function(require,module,exports){module.exports={"The selected product already exists in your list.":"","search for title":"Zoek op naam","Assessment saved":"Beoordeling is opgeslagen","Assessment saving failed":"Beoordeling is opgeslagen","Attachment deleted.":"Bijlage verwijderd","Attachment updated":"De bijlage is bijgewerkt","Other":"Anders","Print":"Afdrukken","Your crops":"Uw gewassen","Crop not found":"Gewas niet gevonden","you can enter a comment specific to the selected crop here:":"u kunt hier een beschrijving invoeren m.b.t. het geselecteerde gewas:","Crops":"Gewassen","No crop selected":"Geen gewas geselecteerd","Search crop":"Zoek gewas","has been added to your crops":"is toegevoegd aan uw gewassen","Error saving!":"Fout bij opslaan!","Could not save your product":"Het gewas kon niet worden opgeslagen","Could not add the selected crop!":"Het geselecteerde gewas kon niet worden toegevoegd!","is already in your crops list":"bevindt zich in al in uw lijst met gewassen","Add Crop":"Gewas Toevoegen","Show all":"Alle vragen","Show incomplete":"Onbeantwoord","Show Yes":"Alleen Ja","Show No":"Alleen Nee","Show Not Applicable":"Alleen N.V.T.","Saving assessments":"Beoordeling(en) worden opgeslagen","Attachment not deleted. Please, refresh page first, then delete attachment":"Bijlage niet verwijderd. Vernieuw de pagina eerst en probeer dan opnieuw de bijlage te verwijderen","Attachment deleted":"Bijlage verwijderd","Save":"Opslaan","Saved.":"Opgeslagen.","Loading...":"Bezig met laden...","No files or references added":"Geen bestanden of verwijzingen toegevoegd.","Help document":"Hulpdocument","Attachments":"Bijlagen","Agriform":"Agriform","Text reference":"Tekst referentie","File from Archive":"Bestand uit archief","File from your computer":"Bestand van uw computer","Attach":"Toevoegen","Upload File":"Bestand uploaden","New Agriform":"Agriform","Hereby I declare to have filled in the above form according to today’s reality":"Hierbij verklaar ik het formulier naar waarheid te hebben ingevuld","Set new title":"Geef een nieuwe titel","Download":"Downloaden","Download to view the document":"Download het document om deze te bekijken","No preview available":"Geen preview beschikbaar","Please select another file or compress the current file":"Selecteer een andere bestand of comprimeer het huidige bestand","The selected file exceeds the limit of 10 MB":"Het geselecteerd bestand is groter dan de limiet van 10 MB","The expiry date is missing":"De vervaldatum ontbreekt","The expiry date needs to be in the following format":"De vervaldatum moet ingevoerd worden in het volgende formaat","An expiry date needs to be a future date":"Een vervaldatum moet een toekomstige datum zijn.","files are":"bestanden zijn","file is":"bestand is","Your":"Uw","being added to your archive":"toegevoegd aan uw archief.","Upload file":"Bestand uploaden","File":"Bestand","Expiry date":"Verval datum","Please indicate when the validity of this document expires":"Geef alstublieft de vervaldatum voor dit document","Never":"Nooit","Valid until":"Geldig tot","Cancel":"Annuleren","Ok":"Ok","You must fill text reference description.":"U moet een text referentie invoeren.","OK":"OK","You must fill in a text reference.":"U moet een text referentie invoeren.","You cannot modify this attachment because the following assessments are closed ":"U kunt deze bijlage niet wijzigen omdat deze onderdeel is van de volgende afgesloten zelfboordelingen","You can download the attachment, modify it offline and then upload it as a new attachment":"Het bestand downloaden, aanpassen en als nieuwe bijlage toevoegen iswel mogelijk","Delete":"Verwijderen","File preview":"Bestand tonen","Close":"Sluiten","Search":"Zoek","Archive":"Archief","Please select one or more files to attach first.":"Selecteer eerst een of meerdere bestanden als bijlage.","N/A":"N.V.T.","The selected file is too big.":"Het geselecteerde bestand is te groot.","File can't be read, error code:":"Bestand kan niet worden geopend, fout melding:","Back":"Terug","Search product":"Zoek gewas","Choose one or more crops and click 'Start assessment'":"Selecteer een of meer gewassen en klik 'Start beoordeling'","All productTypeGroups":"Alle product categorieën","Add":"Toevoegen","Please select a crop to add first":"Selecteer eerst een gewas om toe te voegen.","Your selection":"Uw selectie","Query":"Zoekterm","Please enter your explanation here":"Geef hier uw toelichting","Read more":"Lees meer","Read less":"Lees minder","Evidence":"Bewijsstukken","No questionnaire.":"Geen questionnaire","Image.":"Afbeelding.","Top":"Naar boven","Show less":"Lees minder","Show more":"Lees meer","Title":"Naam","Date modified":"Laatst gewijzigd","Used in":"Gebruikt bij","Click to view":"Klik om in te zien"}},{}],7:[function(require,module,exports){'use strict';var AssessmentsDAL=require('../dal/assessmentsDAL.js');var dal=new AssessmentsDAL('/internal-api');var AgriformActions={createAgriformAttachment:function(attachmentLink,organizationUuid,cb){var agriformAssessmentTypeUuid=attachmentLink.attachment.agriformAssessmentTypeUuid;var createAssessmentPromise=dal.createAssessment(organizationUuid,{assessment_type:agriformAssessmentTypeUuid,organization:organizationUuid,name:attachmentLink.attachment.name,products:[]});createAssessmentPromise.then(function(agriformAssessment){log.info('[create assessment] success.',agriformAssessment);attachmentLink.attachment.agriformUuid=agriformAssessment.uuid;this.flux.actions.attachmentLinks.createAttachmentLink([attachmentLink],attachmentLink.assessment,cb);attachmentLink.attachment.agriformUuid=agriformAssessment.uuid;this.dispatch('loadAssessment',{assessmentUuid:agriformAssessment.uuid});this.dispatch('attachmentsCreate',{attachmentLinks:[attachmentLink],assessmentUuid:attachmentLink.assessment});if(cb){}}.bind(this),function(errors){})},setSignature:function(assessmentUuid,questionnaireUuid,isSigned){this.dispatch('signatureStateChanged',{assessmentUuid:assessmentUuid,questionnaireUuid:questionnaireUuid,isSigned:isSigned})},};module.exports=AgriformActions;},{"../dal/assessmentsDAL.js":86}],8:[function(require,module,exports){"use strict";var Dal=require('../dal/assessmentsDAL.js'),dal=new Dal(window.jsContext.API_URL)
var AssessmentsAction={answerChanged:function(assessmentUuid,questionnaireUuid,questionUuid,answer){this.dispatch('answerChanged',{assessmentUuid:assessmentUuid,questionnaireUuid:questionnaireUuid,questionUuid:questionUuid,answer:answer});},loadAssessment:function(assessmentUuid,questionnaireUuid){this.dispatch('loadAssessment',{assessmentUuid:assessmentUuid,questionnaireUuid:questionnaireUuid});},loadQuestionnaire:function(questionnaireUuid,assessmentUuid){this.dispatch('loadQuestionnaire',{questionnaireUuid:questionnaireUuid,assessmentUuid:assessmentUuid});},saveAllAssessments:function(){this.dispatch('saveAllAssessments');var assessments=this.flux.stores.AssessmentsStore.getState().assessments;_.forEach(assessments,function(assessment,assessmentUuid){this.saveAssessmentState(assessmentUuid);}.bind(this));},saveAssessment:function(assessmentUuid){this.dispatch('saveAssessment',{assessmentUuid:assessmentUuid});},saveAssessmentState:function(assessmentUuid){var assessments=this.flux.stores.AssessmentsStore.getState().assessments;var assessment=assessments[assessmentUuid];_.forEach(assessment.questionnaireState,function(questionnaireState,questionnaireUuid){dal.saveAssessmentState(assessment.uuid,questionnaireUuid,questionnaireState.isComplete,questionnaireState.isSigned);});}};module.exports=AssessmentsAction;},{"../dal/assessmentsDAL.js":86}],9:[function(require,module,exports){'use strict';var AttachmentLinksDAL=require('../dal/attachmentLinksDAL.js');var attachmentLinksDAL=new AttachmentLinksDAL('/internal-api');var AttachmentsLinkActions={createAttachmentLink:function(attachmentLink,assessmentUuid,cb){attachmentLinksDAL.create(attachmentLink,assessmentUuid).then(function(response){this.dispatch('createAttachmentLink',response);if(cb){cb(response[0]);}}.bind(this));},updateAttachmentLink:function(attachmentLink,assessmentUuid,attachmentLinkUuid){attachmentLinksDAL.update(attachmentLink,assessmentUuid,attachmentLinkUuid).then(function(response){this.dispatch('updateAttachmentLink',response);}.bind(this));},deleteAttachmentLink:function(assessmentUuid,attachmentLinkUuid){attachmentLinksDAL.delete(assessmentUuid,attachmentLinkUuid).then(function(response){this.dispatch('deleteAttachmentLink',response);}.bind(this));}};module.exports=AttachmentsLinkActions;},{"../dal/attachmentLinksDAL.js":87}],10:[function(require,module,exports){'use strict';var AttachmentsActions={loadAttachmentsOfType:function(attachmentsType){this.dispatch('loadAttachmentsOfType',{attachmentsType:attachmentsType});},saveAttachment:function(attachment){this.dispatch('saveAttachment',{attachment:attachment});},updateAttachment:function(attachment){this.dispatch('updateAttachment',{attachment:attachment});},deleteAttachment:function(attachment){this.dispatch('deleteAttachment',{attachment:attachment});}};module.exports=AttachmentsActions;},{}],11:[function(require,module,exports){'use strict';module.exports={agriform:require('./AgriformActions.js'),assessments:require('./AssessmentsActions.js'),attachments:require('./AttachmentsActions.js'),attachmentLinks:require('./AttachmentLinksActions.js'),products:require('./productsActions.js')};},{"./AgriformActions.js":7,"./AssessmentsActions.js":8,"./AttachmentLinksActions.js":9,"./AttachmentsActions.js":10,"./productsActions.js":12}],12:[function(require,module,exports){"use strict"
var ProductsDAL=require('../dal/productsDAL.js'),productsDAL=new ProductsDAL(window.jsContext.API_URL),pageData=require('../components/Utils/pageData.js');var productActions={updateProductsStore:function(){this.flux.actions.products.updateProductTypes();this.flux.actions.products.updateProducts(pageData.context.uuid);this.flux.emit('updateProductsStore');log.info('productActions: Updating the productsStore.js');},updateProductTypes:function(){productsDAL.getProductTypes().then(function(payload){this.dispatch('productTypesUpdated',payload);log.info('productActions: ProductTypes have been updated.',payload);}.bind(this),function(err){this.flux.emit('updateProductTypesError',err);log.error('productActions: Could not load Product Types. ',err);}.bind(this));},getProductTypes:function(){var productTypes=this.flux.stores.ProductsStore.productTypes;if(!productTypes.length)
this.flux.actions.products.updateProductTypes();},updateProducts:function(uuid){productsDAL.getProducts(uuid).then(function(payload){this.dispatch('productsUpdated',{products:payload});log.info('productActions: Users products have been updated.',payload);}.bind(this),function(err){this.flux.emit('updateProductsError');log.error('productActions: Could not load user products: ',err);}.bind(this));},addProduct:function(product,reload){var products=this.flux.stores.ProductsStore.products;if(_.findIndex(products,{'name':product.name})>-1){this.flux.emit('addProductError',_t('The selected product already exists in your list.'))
log.info('productActions: The selected product: '+product.name+' already exists in the list! No product was added.');return;}
productsDAL.addProduct(product).then(function(payload){log.info('productActions: User product added.',payload);(reload)?location.reload():this.dispatch('productAdded',{product:product});}.bind(this),function(err){this.flux.emit('addProductError');log.error('productActions: Could not add to user products.',err);}.bind(this));},deleteProduct:function(uuid,product){productsDAL.deleteProduct(uuid,product).then(function(payload){this.dispatch('productDeleted',product)
log.info('productActions: User product deleted.',product);}.bind(this),function(err){this.flux.emit('deleteProductError');log.error('productActions: Could not remove user product.',err);}.bind(this));}};module.exports=productActions;},{"../components/Utils/pageData.js":85,"../dal/productsDAL.js":89}],13:[function(require,module,exports){"use strict"
var AttachmentsStore=require('../stores/AttachmentsStore.js'),ArchiveList=require('../components/ArchiveList/ArchiveList.jsx'),AttachmentsUtils=require('../components/Utils/attachments.js'),AttachmentModalMixin=require('../mixins/AttachmentModalMixin.jsx');var listViewOptions=require('../components/Utils/archiveListViewProps.js');var queryInputOptions={placeholder:_t('search for title')};var archiveListOptions={};var stores={AttachmentsStore:new AttachmentsStore()};var actions=require('../actions');var fluxInstance=new Fluxxor.Flux(stores,actions);var ArchiveApp=React.createClass({displayName:"ArchiveApp",mixins:[AttachmentModalMixin(),FluxMixin,StoreWatchMixin('AttachmentsStore')],getDefaultState:function(){return{isFileUploadModalVisible:false}},componentWillMount:function(){archiveListOptions.onUploadModalResult=this.onUploadModalResult;listViewOptions.onItemClicked=this.onItemClicked;this.getFlux().actions.attachments.loadAttachmentsOfType('FileAttachment');},onUploadModalResult:function(files,validityType,date){log.info('on upload modal result',files);if(files){var attachments=[];files.forEach(function(file){var attachmentData={attachment_type:'FileAttachment',original_file_name:file.name,file:file.data_url,expiration_date:tools.dateToIso8601(date),organization:window.jsContext.CURRENT_ORG_UUID};var attachment=AttachmentsUtils.objectToAttachment(attachmentData);attachments.push(attachment);});var flux=this.getFlux();attachments.forEach(function(attachment){flux.actions.attachments.saveAttachment(attachment);})}},onItemClicked:function(attachment){var flux=this.getFlux();flux.emit("attachmentOpen",{attachment:attachment});},onAttachmentModalSuccess:function(modifiedAttachment){var flux=this.getFlux();flux.actions.attachments.updateAttachment(modifiedAttachment);this.hideAttachmentModal();},onAttachmentDelete:function(attachment){var flux=this.getFlux();flux.actions.attachments.deleteAttachment(attachment);this.hideAttachmentModal();},getStateFromFlux:function(){var flux=this.getFlux();var atStore=flux.store('AttachmentsStore');return atStore.getState();},render:function(){listViewOptions.items=this.state.attachments;return(React.createElement("div",{className:"archive-app"},this.renderAttachmentModal(),React.createElement(ArchiveList,{archiveListOptions:archiveListOptions,listViewOptions:listViewOptions,queryInputOptions:queryInputOptions})))}});window.ArchiveApp=function(elementId){elementId=elementId||'app';React.render(React.createElement(ArchiveApp,{flux:fluxInstance}),document.getElementById(elementId));};},{"../actions":11,"../components/ArchiveList/ArchiveList.jsx":19,"../components/Utils/archiveListViewProps.js":83,"../components/Utils/attachments.js":84,"../mixins/AttachmentModalMixin.jsx":91,"../stores/AttachmentsStore.js":99}]